Up: symcryptrun

#### 7.10.1 List of all commands and options.

`symcryptrun` is invoked this way:

         symcryptrun --class CLASS --program PROGRAM --keyfile KEYFILE
            [--decrypt | --encrypt] [inputfile]

For encryption, the plain text must be provided on STDIN or as the argument inputfile, and the ciphertext will be output to STDOUT. For decryption vice versa.

CLASS describes the calling conventions of the external tool. Currently it must be given as ‘`confucius`’. PROGRAM is the full filename of that external tool.

For the class ‘`confucius`’ the option `--keyfile` is required; keyfile is the name of a file containing the secret key, which may be protected by a passphrase. For detailed calling conventions, see the source code.

Note, that `gpg-agent` must be running before starting `symcryptrun`.

The following additional options may be used:

`-v`
`--verbose`
  Output additional information while running.
`-q`
`--quiet`
  Try to be as quiet as possible.
`--homedir` dir
  Set the name of the home directory to dir. If this option is not used, the home directory defaults to `~/.gnupg`. It is only recognized when given on the command line. It also overrides any home directory stated through the environment variable `GNUPGHOME` or (on W32 systems) by means of the Registry entry HKCU\Software\GNU\GnuPG:HomeDir.
`--log-file` file
  Append all logging output to file. Default is to write logging information to STDERR.

The possible exit status codes of `symcryptrun` are:

`0`
  Success.
`1`
  Some error occured.
`2`
  No valid passphrase was provided.
`3`
  The operation was canceled by the user.